package cn.yyxx.commsdk.base.internal.feature;

import android.app.Activity;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;

/**
 * @author #Suyghur.
 * Created on 2021/12/26
 */
public interface ILifeCycle {

    void onStart(Activity activity);

    void onResume(Activity activity);

    void onRestart(Activity activity);

    void onPause(Activity activity);

    void onStop(Activity activity);

    void onActivityResult(Activity activity, int requestCode, int resultCode, Intent data);

    void onNewIntent(Activity activity, Intent intent);

    void onConfigurationChanged(Activity activity, Configuration newconfig);

    void onWindowFocusChanged(Activity activity,boolean hasFocus);

    void onDestroy(Activity activity);

    void onCreate(Activity activity, Bundle savedInstanceState);

}
